<?php
/**
 * Admin template for set up guide
 *
 * @package WordPress
 * @subpackage Back_My_Book
 * @since Back My Book 1.0
 */

function bmb_add_setup_menu() {
	$page = add_menu_page(
	   __('Back My Book Theme Set Up', 'back_my_book'),
	   __('Back My Book Theme Set Up', 'back_my_book'),
	   'edit_themes',
	   'bmb-setup-guide',
	   'bmb_setup_guide_pages'
	);
}

add_action('admin_menu', 'bmb_add_setup_menu');

function bmb_setup_guide_pages() {
?>

<div class="wrap">

<div id="icon-edit-pages" class="icon32"><br/></div>
	<h2>Theme Writer User Guide</h2>
			<table class="form-table">
			<tbody>
				<tr valign="top">
					<td>
						<h2>Back My Book Writer Wordpress Theme Features</h2>
						<p>The Writer Wordpress Theme offers fiction and non-fiction writers custom widgets to feature books and other content, custom sidebars to aid in organizing and displaying author’s events and other content, specifically designed page and post templates for the most common needs of writers, and highly customizable theme controls that allow an author to create a site that demonstrates the look and feel (the personal brand) they want to convey to their fans or customers.</p>
						<p><a href="http://www.writerwordpresstheme.com/features/" target="_blank">Click here to learn how to manage this theme's features >></a></p>
					</td>
				</tr>
				<tr valign="top">
					<td>
						<h2>Installation and Setup</h2>
						<p>The Writer Wordpress Theme starts out as a tabula rasa for fiction and non-fiction writers to use in showcasing their work and building their writing careers. When you first install it, it will need some basic configuration to setup how it should be organized to display your books, events and other standard information authors need on their websites. The following instructions guide you through how to configure your new Writer Wordpress Theme; however, feel free to experiment and get creative!</p>
						<p><a href="http://www.writerwordpresstheme.com/installation/" target="_blank">Click here to learn how to setup and configure this theme >></a></p>
					</td>
				</tr>
			</tbody>
			</table>

</div><!-- #wrapper -->
<?php
 }