<?php
/**
 * Admin template for theme colors
 *
 * @package WordPress
 * @subpackage Back_My_Book
 * @since Back My Book 1.0
 */

function bmb_load_scripts() {
	wp_enqueue_script( 'bmb-jscolor', get_stylesheet_directory_uri() . '/scripts/jscolor/jscolor.js', false, '1.3.1', false );
}

function bmb_add_menu() {
	$page = add_theme_page(
	   __('Theme Font & Colors', 'back_my_book'),
	   __('Theme Font & Colors', 'back_my_book'),
	   'edit_themes',
	   'bmb-theme-colors',
	   'bmb_theme_color_settings'
	);
	add_action("admin_print_scripts-$page", 'bmb_load_scripts');
	add_action("load-$page", 'bmb_theme_color_option_updates');
}

add_action('admin_menu', 'bmb_add_menu');

function bmb_theme_color_option_updates() {
	// See if the user has posted us some information
	if (!empty($_GET['reset'])) {	
		if ( check_admin_referer('bmb_theme_colors-reset') ) {
			delete_option('bmb_theme_colors');
			delete_option('bmb_theme_font');
			bmb_update_style_sheet();
			wp_redirect(admin_url('themes.php?page=bmb-theme-colors&reseted=true'));
		}
	} elseif (!empty($_POST['update-theme-colors'])) {	
		if ( check_admin_referer('bmb_theme_colors-update') ) {
			if (isset($_POST['bmb_text_links'])) {
				$bmb_theme_colors['bmb_text_links']['value'] = $_POST['bmb_text_links']['value'];
				$bmb_theme_colors['bmb_text_links']['css'] = $_POST['bmb_text_links']['css'];				
			}
			if (isset($_POST['bmb_body_text'])) {
				$bmb_theme_colors['bmb_body_text']['value'] = $_POST['bmb_body_text']['value'];
				$bmb_theme_colors['bmb_body_text']['css'] = $_POST['bmb_body_text']['css'];				
			}
			if (isset($_POST['bmb_top_menu']['value'])) {
				$bmb_theme_colors['bmb_top_menu']['value'] = $_POST['bmb_top_menu']['value'];
				$bmb_theme_colors['bmb_top_menu']['css'] = $_POST['bmb_top_menu']['css'];
				$bmb_theme_colors['bmb_author_photo']['value'] = $_POST['bmb_top_menu']['value'];
				$bmb_theme_colors['bmb_author_photo']['css'] = ".author_photo {border-color:#";
				$bmb_theme_colors['bmb_feature_box']['value'] = $_POST['bmb_top_menu']['value'];
				$bmb_theme_colors['bmb_feature_box']['css'] = "#feature_box {border-color:#";
				$bmb_theme_colors['bmb_archive_meta']['value'] = $_POST['bmb_top_menu']['value'];
				$bmb_theme_colors['bmb_archive_meta']['css'] = ".archive-meta {background:#";
				$bmb_theme_colors['bmb_footer_copy']['value'] = $_POST['bmb_top_menu']['value'];
				$bmb_theme_colors['bmb_footer_copy']['css'] = ".footer-copy {border-top-color:#";
			}
			if (isset($_POST['bmb_top_menu_hover'])) {
				$bmb_theme_colors['bmb_top_menu_hover']['value'] = $_POST['bmb_top_menu_hover']['value'];
				$bmb_theme_colors['bmb_top_menu_hover']['css'] = $_POST['bmb_top_menu_hover']['css'];	
			}
			if (isset($_POST['bmb_top_menu_selected'])) {
				$bmb_theme_colors['bmb_top_menu_selected']['value'] = $_POST['bmb_top_menu_selected']['value'];
				$bmb_theme_colors['bmb_top_menu_selected']['css'] = $_POST['bmb_top_menu_selected']['css'];
			}
			if (isset($_POST['bmb_top_menu_unselected'])) {
				$bmb_theme_colors['bmb_top_menu_unselected']['value'] = $_POST['bmb_top_menu_unselected']['value'];
				$bmb_theme_colors['bmb_top_menu_unselected']['css'] = $_POST['bmb_top_menu_unselected']['css'];
			}
			if (isset($_POST['bmb_author_name'])) {
				$bmb_theme_colors['bmb_author_name']['value'] = $_POST['bmb_author_name']['value'];
				$bmb_theme_colors['bmb_author_name']['css'] = $_POST['bmb_author_name']['css'];
			}
			if (isset($_POST['bmb_author_description'])) {
				$bmb_theme_colors['bmb_author_description']['value'] = $_POST['bmb_author_description']['value'];
				$bmb_theme_colors['bmb_author_description']['css'] = $_POST['bmb_author_description']['css'];
			}
			if (isset($_POST['bmb_page_title_h1'])) {
				$bmb_theme_colors['bmb_page_title_h1']['value'] = $_POST['bmb_page_title_h1']['value'];
				$bmb_theme_colors['bmb_page_title_h1']['css'] = $_POST['bmb_page_title_h1']['css'];
			}
			if (isset($_POST['bmb_page_title_h1_bg'])) {
				$bmb_theme_colors['bmb_page_title_h1_bg']['value'] = $_POST['bmb_page_title_h1_bg']['value'];
				$bmb_theme_colors['bmb_page_title_h1_bg']['css'] = $_POST['bmb_page_title_h1_bg']['css'];
			}
			if (isset($_POST['bmb_category_title_h1'])) {
				$bmb_theme_colors['bmb_category_title_h1']['value'] = $_POST['bmb_category_title_h1']['value'];
				$bmb_theme_colors['bmb_category_title_h1']['css'] = $_POST['bmb_category_title_h1']['css'];
			}
			if (isset($_POST['bmb_category_title_h1_bg'])) {
				$bmb_theme_colors['bmb_category_title_h1_bg']['value'] = $_POST['bmb_category_title_h1_bg']['value'];
				$bmb_theme_colors['bmb_category_title_h1_bg']['css'] = $_POST['bmb_category_title_h1_bg']['css'];
			}
			if (isset($_POST['bmb_category_text'])) {
				$bmb_theme_colors['bmb_category_text']['value'] = $_POST['bmb_category_text']['value'];
				$bmb_theme_colors['bmb_category_text']['css'] = $_POST['bmb_category_text']['css'];
			}
			if (isset($_POST['bmb_page_title_h2'])) {
				$bmb_theme_colors['bmb_page_title_h2']['value'] = $_POST['bmb_page_title_h2']['value'];
				$bmb_theme_colors['bmb_page_title_h2']['css'] = $_POST['bmb_page_title_h2']['css'];
			}
			if (isset($_POST['bmb_content_titles'])) {
				$bmb_theme_colors['bmb_content_titles']['value'] = $_POST['bmb_content_titles']['value'];
				$bmb_theme_colors['bmb_content_titles']['css'] = $_POST['bmb_content_titles']['css'];	
			}
			if (isset($_POST['bmb_footer_text'])) {
				$bmb_theme_colors['bmb_footer_text']['value'] = $_POST['bmb_footer_text']['value'];
				$bmb_theme_colors['bmb_footer_text']['css'] = $_POST['bmb_footer_text']['css'];	
				$bmb_theme_colors['bmb_footer_text_divider']['value'] = $_POST['bmb_footer_text']['value'];
				$bmb_theme_colors['bmb_footer_text_divider']['css'] = ".footer-links li a {border-left-color:#";
			}
			if (isset($_POST['bmb_footer_bg'])) {
				$bmb_theme_colors['bmb_footer_bg']['value'] = $_POST['bmb_footer_bg']['value'];
				$bmb_theme_colors['bmb_footer_bg']['css'] = $_POST['bmb_footer_bg']['css'];				
			}
			if (isset($_POST['fonts'])) {
				$bmb_theme_font = $_POST['fonts'];
				$fonts = bmb_font_list();
				foreach ($fonts as $font_key => $font) {
					if ($bmb_theme_font == $font_key) {
						$bmb_font['value'] = $font['family'];
						$bmb_font['css'] = 'body { font-family:';
						$bmb_font['key'] = $bmb_theme_font;
						update_option('bmb_theme_font', $bmb_font);
						break;
					}
				}
			}
			if (isset($_POST['font-size-body'])) {
				$bmb_font['sizes']['body']['value'] = $_POST['font-size-body'];
				$bmb_font['sizes']['body']['css'] = ".widget-area, #content {font-size:".$_POST['font-size-body'].'px';
				update_option('bmb_theme_font', $bmb_font);
			}
			if (isset($_POST['font-size-h1'])) {
				$bmb_font['sizes']['h1']['value'] = $_POST['font-size-h1'];
				$bmb_font['sizes']['h1']['css'] = "h1,h1.entry-title,h1.page-title {font-size:".$_POST['font-size-h1'].'px';
				update_option('bmb_theme_font', $bmb_font);
			}
			if (isset($_POST['font-size-h2'])) {
				$bmb_font['sizes']['h2']['value'] = $_POST['font-size-h2'];
				$bmb_font['sizes']['h2']['css'] = "h2 {font-size:".$_POST['font-size-h2'].'px';
				update_option('bmb_theme_font', $bmb_font);
			}
			if (isset($_POST['font-size-h3'])) {
				$bmb_font['sizes']['h3']['value'] = $_POST['font-size-h3'];
				$bmb_font['sizes']['h3']['css'] = "h3 {font-size:".$_POST['font-size-h3'].'px';
				update_option('bmb_theme_font', $bmb_font);
			}
			if (isset($_POST['font-size-site_title'])) {
				$bmb_font['sizes']['site_title']['value'] = $_POST['font-size-site_title'];
				$bmb_font['sizes']['site_title']['css'] = ".logo a {font-size:".$_POST['font-size-site_title'].'px';
				update_option('bmb_theme_font', $bmb_font);
			}
			if (isset($_POST['font-size-site_tagline'])) {
				$bmb_font['sizes']['site_tagline']['value'] = $_POST['font-size-site_tagline'];
				$bmb_font['sizes']['site_tagline']['css'] = "p.site-description {font-size:".$_POST['font-size-site_tagline'].'px';
				update_option('bmb_theme_font', $bmb_font);
			}
		update_option('bmb_theme_colors', $bmb_theme_colors);
		bmb_update_style_sheet();
		wp_redirect(admin_url('themes.php?page=bmb-theme-colors&updated=true'));
		} else {
			echo 'no!';
		}
	}
}

function bmb_theme_color_settings() {
    //must check that the user has the required capability 
    if (!current_user_can('manage_options'))
    {
      wp_die( __('You do not have sufficient permissions to access this page.') );
    }

    // Read in existing option value from database
    $opt_val = get_option('bmb_theme_colors');
    
    // Load user selected font from database
    $fonts = get_option('bmb_theme_font');
	
	$font_sizes = array(
		'default' => array(10, 11, 12, 13, 14, 15, 16, 18, 20),
		'title' => array(26, 28, 30, 32, 34, 36, 38, 40, 45, 50, 55, 60),
		'headers' => array(10, 11, 12, 13, 14, 15, 16, 18, 20, 22, 24, 26, 28, 30,32)
	);
    
    // Load set of fonts to use
    $font_list = bmb_font_list();
    
    // Just to make sure we have some data, if not fill it up
    if ($opt_val =='' && empty($_GET['reset'])) {
    	delete_option('bmb_theme_colors');
    	wp_redirect(admin_url('themes.php?page=bmb-theme-colors'));
    }
	$current='';
?>
<?php if ( !empty($_GET['updated']) ) { ?>
<div id="message" class="updated">
	<p><?php printf( __( 'Settings updated. <a href="%s" target="_blank">Visit your site</a> to see how it looks.' ), home_url( '/' ) ); ?></p>
</div>
<?php } ?>
<?php if ( !empty($_GET['reseted']) ) { ?>
<div id="message" class="updated">
	<p><?php printf( __( 'Settings reseted successfully!' ), home_url( '/' ) ); ?></p>
</div>
<?php } ?>


<div class="wrap">
<form action="" method="post" id="bmb-theme-colors-form">
<div id="icon-themes" class="icon32"><br/></div>
	<h2>Theme Colors</h2>
			<table class="form-table">
			<tbody>
			
				<tr valign="top">
				<th scope="row"><?php _e( 'Site Font Style' ); ?></th>
					<td>
						<fieldset>
						<legend class="screen-reader-text"><span><?php _e( 'Site Font Style' ); ?></span></legend>
							<select id="fonts" name="fonts" size="1">
								<?php
									foreach ($font_list as $font_key => $font) {
										$selected = ($fonts['key'] == $font_key) ? ' selected="selected"' : '';
										$web_safe = ($font['web_safe']) ? ' *' : '';
										echo "<option" . $selected . " value=\"" . $font_key . "\">" . $font['name'] . $web_safe . "</option>\n";	
									}
								?>
							</select><br/>
							<span class="small"><?php _e('&nbsp;Asterisks (*) denote web-safe fonts.', 'backmybook'); ?></span>
						</fieldset>
					</td>
				</tr>
				<tr valign="top">
				<th scope="row"><?php _e( 'Body Font Size' ); ?></th>
					<td>
						<fieldset>
						<legend class="screen-reader-text"><span><?php _e( 'Body Font Size' ); ?></span></legend>
							<select id="fonts" name="font-size-body" size="1">
								<option value="">Select font size</option>
								<?php
									foreach ($font_sizes['default'] as $font_size) {
										$selected = isset($fonts['sizes']['body']['value']) && ($fonts['sizes']['body']['value'] == $font_size) ? ' selected="selected"' : '';
										echo "<option" . $selected . " value=\"" . $font_size . "\">&nbsp;" . $font_size. "&nbsp;&nbsp;</option>\n";	
									}
								?>
							</select><br/>
							<span class="small"><?php _e('&nbsp;This will change the font size throughout the entire site', 'backmybook'); ?></span>
						</fieldset>
					</td>
				</tr>
				<tr valign="top">
				<th scope="row"><?php _e( 'Top Menu Color' ); ?></th>
					<td>
						<fieldset>
						<legend class="screen-reader-text"><span><?php _e( 'Top Menu Color' ); ?></span></legend>
							<input type="text" class="color" name="bmb_top_menu[value]" id="bmb_top_menu[value]" value="<?php echo esc_attr($opt_val['bmb_top_menu']['value']) ?>" />
							<input type="hidden" name="bmb_top_menu[css]" id="bmb_top_menu[css]" value="#nav,#nav ul ul a {background-color:#" />
							<input type="hidden" name="bmb_author_photo[value]" id="bmb_author_photo[value]" value="<?php echo esc_attr($opt_val['bmb_top_menu']['value']) ?>" />
							<input type="hidden" name="bmb_author_photo[css]" id="bmb_author_photo[css]" value=".author_photo {border-color:#" />
						</fieldset>
					</td>
				</tr>
				<tr valign="top">
				<th scope="row"><?php _e( 'Top Menu Rollover Color' ); ?></th>
					<td>
						<fieldset>
						<legend class="screen-reader-text"><span><?php _e( 'Top Menu Rollover Color' ); ?></span></legend>
							<input type="text" class="color" name="bmb_top_menu_hover[value]" id="bmb_top_menu_hover[value]" value="<?php echo esc_attr($opt_val['bmb_top_menu_hover']['value']) ?>" />
							<input type="hidden" name="bmb_top_menu_hover[css]" id="bmb_top_menu_hover[css]" value="#nav li:hover > a,#nav ul ul :hover > a {color:#" />
						</fieldset>
					</td>
				</tr>
				<tr valign="top">
				<th scope="row"><?php _e( 'Top Menu Selected Color' ); ?></th>
					<td>
						<fieldset>
						<legend class="screen-reader-text"><span><?php _e( 'Top Menu Selected Color' ); ?></span></legend>
							<input type="text" class="color" name="bmb_top_menu_selected[value]" id="bmb_top_menu_selected[value]" value="<?php echo esc_attr($opt_val['bmb_top_menu_selected']['value']) ?>" />
							<input type="hidden" name="bmb_top_menu_selected[css]" id="bmb_top_menu_selected[css]" value="#nav ul li.current_page_item > a, #nav ul li.current-menu-ancestor > a, #nav ul li.current-menu-item > a, #nav ul li.current-menu-parent > a {color:#" />
						</fieldset>
					</td>
				</tr>
				<tr valign="top">
				<th scope="row"><?php _e( 'Top Menu Unselected Color' ); ?></th>
					<td>
						<fieldset>
						<legend class="screen-reader-text"><span><?php _e( 'Top Menu Unselected Color' ); ?></span></legend>
							<input type="text" class="color" name="bmb_top_menu_unselected[value]" id="bmb_top_menu_unselected[value]" value="<?php echo esc_attr($opt_val['bmb_top_menu_unselected']['value']) ?>" />
							<input type="hidden" name="bmb_top_menu_unselected[css]" id="bmb_top_menu_unselected[css]" value="#nav a {color:#" />
						</fieldset>
					</td>
				</tr>
				<tr valign="top">
				<th scope="row"><?php _e( 'Site Title' ); ?></th>
					<td>
						<fieldset>
						<legend class="screen-reader-text"><span><?php _e( 'Site Title' ); ?></span></legend>
							<input type="text" class="color" name="bmb_author_name[value]" id="bmb_author_name[value]" value="<?php echo esc_attr($opt_val['bmb_author_name']['value']) ?>" />
							<input type="hidden" name="bmb_author_name[css]" id="bmb_author_name[css]" value=".logo a {color:#" />
						</fieldset>
					</td>
				</tr>
				<tr valign="top">
				<th scope="row"><?php _e( 'Site Title Font Size' ); ?></th>
					<td>
						<fieldset>
						<legend class="screen-reader-text"><span><?php _e( 'Site Title Font Size' ); ?></span></legend>
							<select id="fonts" name="font-size-site_title" size="1">
								<option value="">Select font size</option>
								<?php
									foreach ($font_sizes['title'] as $font_size) {
										$selected = isset($fonts['sizes']['site_title']['value']) && ($fonts['sizes']['site_title']['value'] == $font_size) ? ' selected="selected"' : '';
										echo "<option" . $selected . " value=\"" . $font_size . "\">&nbsp;" . $font_size. "&nbsp;&nbsp;</option>\n";	
									}
								?>
							</select>
						</fieldset>
					</td>
				</tr>
				<tr valign="top">
				<th scope="row"><?php _e( 'Site Tagline' ); ?></th>
					<td>
						<fieldset>
						<legend class="screen-reader-text"><span><?php _e( 'Site Tagline' ); ?></span></legend>
							<input type="text" class="color" name="bmb_author_description[value]" id="bmb_author_description[value]" value="<?php echo esc_attr($opt_val['bmb_author_description']['value']) ?>" />
							<input type="hidden" name="bmb_author_description[css]" id="bmb_author_description[css]" value=".site-description {color:#" />
						</fieldset>
					</td>
				</tr>
				<tr valign="top">
				<th scope="row"><?php _e( 'Site Tagline Font Size' ); ?></th>
					<td>
						<fieldset>
						<legend class="screen-reader-text"><span><?php _e( 'Site Tagline Font Size' ); ?></span></legend>
							<select id="fonts" name="font-size-site_tagline" size="1">
								<option value="">Select font size</option>
								<?php
									foreach ($font_sizes['default'] as $font_size) {
										$selected = isset($fonts['sizes']['site_tagline']['value']) && ($fonts['sizes']['site_tagline']['value'] == $font_size) ? ' selected="selected"' : '';
										echo "<option" . $selected . " value=\"" . $font_size . "\">&nbsp;" . $font_size. "&nbsp;&nbsp;</option>\n";	
									}
								?>
							</select>
						</fieldset>
					</td>
				</tr>
				<tr valign="top">
				<th scope="row"><?php _e( 'Category Titles (H1)' ); ?></th>
					<td>
						<fieldset>
						<legend class="screen-reader-text"><span><?php _e( 'Category Titles  (H1)' ); ?></span></legend>
							<input type="text" class="color" name="bmb_category_title_h1[value]" id="bmb_category_title_h1[value]" value="<?php echo esc_attr($opt_val['bmb_category_title_h1']['value']) ?>" />
							<input type="hidden" name="bmb_category_title_h1[css]" id="bmb_category_title_h1[css]" value=".archive-meta h1.page-title {color:#" />
						</fieldset>
					</td>
				</tr>
				<tr valign="top">
				<th scope="row"><?php _e( 'Category Description Background' ); ?></th>
					<td>
						<fieldset>
						<legend class="screen-reader-text"><span><?php _e( 'Category Description ' ); ?></span></legend>
							<input type="text" class="color" name="bmb_category_title_h1_bg[value]" id="bmb_category_title_h1_bg[value]" value="<?php echo esc_attr($opt_val['bmb_category_title_h1_bg']['value']) ?>" />
							<input type="hidden" name="bmb_category_title_h1_bg[css]" id="bmb_category_title_h1_bg[css]" value=".archive-meta {background-color:#" />
						</fieldset>
					</td>
				</tr>
				<tr valign="top">
				<th scope="row"><?php _e( 'Category Text Color' ); ?></th>
					<td>
						<fieldset>
						<legend class="screen-reader-text"><span><?php _e( 'Category Text Color' ); ?></span></legend>
							<input type="text" class="color" name="bmb_category_text[value]" id="bmb_category_text[value]" value="<?php echo esc_attr($opt_val['bmb_category_text']['value']) ?>" />
							<input type="hidden" name="bmb_category_text[css]" id="bmb_category_text[css]" value=".archive-meta p {color:#" />
						</fieldset>
					</td>
				</tr>
				<tr valign="top">
				<th scope="row"><?php _e( 'Page Titles (H1)' ); ?></th>
					<td>
						<fieldset>
						<legend class="screen-reader-text"><span><?php _e( 'Page Titles (H1)' ); ?></span></legend>
							<input type="text" class="color" name="bmb_page_title_h1[value]" id="bmb_page_title_h1[value]" value="<?php echo esc_attr($opt_val['bmb_page_title_h1']['value']) ?>" />
							<input type="hidden" name="bmb_page_title_h1[css]" id="bmb_page_title_h1[css]" value="h1.entry-title {color:#" />
						</fieldset>
					</td>
				</tr>
				<tr valign="top">
				<th scope="row"><?php _e( 'Page Title Background (H1)' ); ?></th>
					<td>
						<fieldset>
						<legend class="screen-reader-text"><span><?php _e( 'Page Title Background ' ); ?></span></legend>
							<input type="text" class="color" name="bmb_page_title_h1_bg[value]" id="bmb_page_title_h1_bg[value]" value="<?php echo esc_attr($opt_val['bmb_page_title_h1_bg']['value']) ?>" />
							<input type="hidden" name="bmb_page_title_h1_bg[css]" id="bmb_page_title_h1_bg[css]" value="h1.entry-title {background-color:#" />
						</fieldset>
					</td>
				</tr>
				<tr valign="top">
				<th scope="row"><?php _e( 'H1 Font Size' ); ?></th>
					<td>
						<fieldset>
						<legend class="screen-reader-text"><span><?php _e( 'H1 Font Size' ); ?></span></legend>
							<select id="fonts" name="font-size-h1" size="1">
								<option value="">Select font size</option>
								<?php
									foreach ($font_sizes['headers'] as $font_size) {
										$selected = isset($fonts['sizes']['h1']['value']) && ($fonts['sizes']['h1']['value'] == $font_size) ? ' selected="selected"' : '';
										echo "<option" . $selected . " value=\"" . $font_size . "\">&nbsp;" . $font_size. "&nbsp;&nbsp;</option>\n";	
									}
								?>
							</select><br/>
							<span class="small"><?php _e('&nbsp;Changes only H1s', 'backmybook'); ?></span>
						</fieldset>
					</td>
				</tr>
				<tr valign="top">
				<th scope="row"><?php _e( 'Page Titles (H2)' ); ?></th>
					<td>
						<fieldset>
						<legend class="screen-reader-text"><span><?php _e( 'Page Titles (H2)' ); ?></span></legend>
							<input type="text" class="color" name="bmb_page_title_h2[value]" id="bmb_page_title_h2[value]" value="<?php echo esc_attr($opt_val['bmb_page_title_h2']['value']) ?>" />
							<br/><span class="small"><?php _e('Titles in blog roll', 'backmybook'); ?></span>
							<input type="hidden" name="bmb_page_title_h2[css]" id="bmb_page_title_h2[css]" value="h2 a:link, h2 a:visited {color:#" />
						</fieldset>
					</td>
				</tr>
				<tr valign="top">
				<th scope="row"><?php _e( 'H2 Font Size' ); ?></th>
					<td>
						<fieldset>
						<legend class="screen-reader-text"><span><?php _e( 'H2 Font Size' ); ?></span></legend>
							<select id="fonts" name="font-size-h2" size="1">
								<option value="">Select font size</option>
								<?php
									foreach ($font_sizes['headers'] as $font_size) {
										$selected = isset($fonts['sizes']['h2']['value']) && ($fonts['sizes']['h2']['value'] == $font_size) ? ' selected="selected"' : '';
										echo "<option" . $selected . " value=\"" . $font_size . "\">&nbsp;" . $font_size. "&nbsp;&nbsp;</option>\n";	
									}
								?>
							</select><br/>
							<span class="small"><?php _e('&nbsp;Changes only H2s', 'backmybook'); ?></span>
						</fieldset>
					</td>
				</tr>
				<tr valign="top">
				<th scope="row"><?php _e( 'H3 Font Size' ); ?></th>
					<td>
						<fieldset>
						<legend class="screen-reader-text"><span><?php _e( 'H3 Font Size' ); ?></span></legend>
							<select id="fonts" name="font-size-h3" size="1">
								<option value="">Select font size</option>
								<?php
									foreach ($font_sizes['headers'] as $font_size) {
										$selected = isset($fonts['sizes']['h2']['value']) && ($fonts['sizes']['h3']['value'] == $font_size) ? ' selected="selected"' : '';
										echo "<option" . $selected . " value=\"" . $font_size . "\">&nbsp;" . $font_size. "&nbsp;&nbsp;</option>\n";	
									}
								?>
							</select><br/>
							<span class="small"><?php _e('&nbsp;Changes only H2s', 'backmybook'); ?></span>
						</fieldset>
					</td>
				</tr>
				<tr valign="top">
				<th scope="row"><?php _e( 'Content Titles (H1,H2,H3,H4,H5,H6)' ); ?></th>
					<td>
						<fieldset>
						<legend class="screen-reader-text"><span><?php _e( 'Content Titles (H1,H2,H3,H4,H5,H6)' ); ?></span></legend>
							<input type="text" class="color" name="bmb_content_titles[value]" id="bmb_content_titles[value]" value="<?php echo esc_attr($opt_val['bmb_content_titles']['value']) ?>" />
							<br/><span class="small"><?php _e('Titles within blog post content.', 'backmybook'); ?></span>
							<input type="hidden" name="bmb_content_titles[css]" id="bmb_content_titles[css]" value=".entry-content h1,.entry-content h2, .entry-content h3, .entry-content h4, .entry-content h5, .entry-content h6 {color:#" />
						</fieldset>
					</td>
				</tr>
				<tr valign="top">
				<th scope="row"><?php _e( 'Text Link' ); ?></th>
					<td>
						<fieldset>
						<legend class="screen-reader-text"><span><?php _e( 'Text Link' ); ?></span></legend>
							<input type="text" class="color" name="bmb_text_links[value]" id="bmb_text_links[value]" value="<?php echo esc_attr($opt_val['bmb_text_links']['value']) ?>" />
							<input type="hidden" name="bmb_text_links[css]" id="bmb_text_links[css]" value="a:link, a:visited, a:hover {color:#" />
						</fieldset>
					</td>
				</tr>
				<tr valign="top">
				<th scope="row"><?php _e( 'Body Text' ); ?></th>
					<td>
						<fieldset>
						<legend class="screen-reader-text"><span><?php _e( 'Body Text' ); ?></span></legend>
							<input type="text" class="color" name="bmb_body_text[value]" id="bmb_body_text[value]" value="<?php echo esc_attr($opt_val['bmb_body_text']['value']) ?>" />
							<input type="hidden" name="bmb_body_text[css]" id="bmb_body_text[css]" value="body, input, textarea {color:#" />
						</fieldset>
					</td>
				</tr>
				<tr valign="top">
				<th scope="row"><?php _e( 'Footer Text' ); ?></th>
					<td>
						<fieldset>
						<legend class="screen-reader-text"><span><?php _e( 'Footer Text' ); ?></span></legend>
							<input type="text" class="color" name="bmb_footer_text[value]" id="bmb_footer_text[value]" value="<?php echo esc_attr($opt_val['bmb_footer_text']['value']) ?>" />
							<input type="hidden" name="bmb_footer_text[css]" id="bmb_footer_text[css]" value=".footer-links li a,.footer-copy {color:#" />
						</fieldset>
					</td>
				</tr>
				<tr valign="top">
				<th scope="row"><?php _e( 'Footer Background Color' ); ?></th>
					<td>
						<fieldset>
						<legend class="screen-reader-text"><span><?php _e( 'Footer Background Color' ); ?></span></legend>
							<input type="text" class="color" name="bmb_footer_bg[value]" id="bmb_footer_bg[value]" value="<?php echo esc_attr($opt_val['bmb_footer_bg']['value']) ?>" />
							<input type="hidden" name="bmb_footer_bg[css]" id="bmb_footer_bg[css]" value="#site-info {background-color:#" />
						</fieldset>
					</td>
				</tr>				
				<tr valign="top">
					<th scope="row" style="padding-top:18px;"><strong><?php _e( 'Reset Custom Settings' ); ?></strong></th>
					<td>
					<fieldset>
					<legend class="screen-reader-text"><span><?php _e( 'Reset Custom Settings' ); ?></span></legend>
						<p><?php _e('This will remove all of your custom settings. You will not be able to restore any customizations.') ?></p>
						<?php $urla = wp_nonce_url("themes.php?page=bmb-theme-colors&reset=true",'bmb_theme_colors-reset'); ?>
						<p class="submit" style="margin:5px 0 0px 0px; padding:3px;"><a href="<?php echo $urla; ?>" class="button" ><?php esc_attr_e('Reset to Defaults'); ?></a></p>
					</fieldset>
					</td>
				</tr>			
			</tbody>
			</table>
			<table>
				<tr valign="top">
					<td>
						<p class="submit">
							<input type="submit" name="update-theme-colors" class="button-primary" value="<?php esc_attr_e('Save Changes') ?>" />
						</p>
					</td>
				</tr>
			</table>
			<?php wp_nonce_field('bmb_theme_colors-update'); ?>
		</form>
</div><!-- #wrapper -->
<?php
 }
 
 // Populates new settings in the custom style sheet
 function bmb_update_style_sheet() {
 	$styles = get_option('bmb_theme_colors');
	$fonts = get_option('bmb_theme_font');
	$data='';
	$file = TEMPLATEPATH.'/css/custom-colors.css';

	if (!empty($fonts)) { 
		foreach ($fonts['sizes'] as $font => $key ) {
			if(!empty($key['value']))
				$data .= $key['css']."}"."\n";
	 	}
	}
	if (!empty($styles)) {
	 	foreach ($styles as $style) {
			$data .= $style['css'].$style['value']."}"."\n";
	 	}
	}
 	
 	$fh = fopen($file, 'w');
 	fwrite($fh,$data);
 	fclose($fh);
 }