<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="bd">
 *
 * @package WordPress
 * @subpackage Back_My_Book
 * @since Back My Book 1.0
 */
	// Determines the CSS styles depending on header settings.
	$show_header = ($sethead = get_option('bmb_show_featured_area')) ? $sethead : '';
	$show_profile_photo = ($setphoto = get_option('bmb_show_profile_photo')) ? $setphoto : '';
	if(is_home() && $show_header)
		$show_header = $show_header.'home';
	$newclasses = $show_header.$show_profile_photo;

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"> 
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php bloginfo( 'charset' ); ?>" />
<title><?php
	/*
	 * Print the <title> tag based on what is being viewed.
	 * We filter the output of wp_title() a bit -- see
	 * backmybook_filter_wp_title() in functions.php.
	 */
	wp_title( '|', true, 'right' );

	?></title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php
	/* We add some JavaScript to pages with the comment form
	 * to support sites with threaded comments (when in use).
	 */
	if ( is_singular() && get_option( 'thread_comments' ) )
		wp_enqueue_script( 'comment-reply' );

	/* Always have wp_head() just before the closing </head>
	 * tag of your theme, or you will break many plugins, which
	 * generally use this hook to add elements to <head> such
	 * as styles, scripts, and meta tags.
	 */
	wp_head();
?>
<!--[if IE]>
<style type="text/css">
  .clearfix, .third{
    zoom: 1; 
    }
    #site-disclaimer p {
    *display: inline;
    }
</style>
<![endif]-->
</head>
<body <?php body_class($newclasses); ?>>
<div id="doc4" class="<?php bmb_template_class(); ?>">
   <div id="hd">
   		<div id="header" class="clearfix"> 
   			<div class="logo">
   				<?php if(!get_option('bmb_show_header_text')) {?>
	   				<a href="<?php echo home_url( '/' ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a>
	   				<p class="site-description"><?php bloginfo( 'description' ); ?></p>
   				<?php } ?>
   			</div><!-- .logo -->
   			<div class="search_box">
   				<?php bmb_search_from(); ?>
   			</div>
   		</div><!--#header-->
   		<div id="nav">
   			<?php /* Our navigation menu.  If one isn't filled out, wp_nav_menu falls back to wp_page_menu.  The menu assiged to the primary position is the one used.  If none is assigned, the menu with the lowest ID is used.  */ ?>
   			<?php wp_nav_menu( array( 'container_class' => 'menu-header', 'theme_location' => 'primary' ) ); ?>
   		</div><!-- #nav -->
   </div><!-- header -->
   <?php if( is_page() && !is_page_template( 'onecolumn-page-nosidebar.php' ) && !$show_header || !is_page() && !$show_header || is_home() && $show_header) { ?>
   <div id="feature_box">
   		<?php bmb_featured_post(); ?> 
		<?php if( !get_option('bmb_show_profile_photo') ) bmb_author_photo(); ?>
   </div><!-- #feature_box -->
   <?php } ?>
   <div id="bd">
